package com.manager.sport.ua.db;

import java.util.Collection;

import org.springframework.data.repository.PagingAndSortingRepository;

import com.manager.sport.ua.entity.Athlete;

public interface AthleteRepository extends PagingAndSortingRepository<Athlete, String>{
	
	Collection<Athlete> findByEmailCoach(String emailCoach);
	
	Athlete findByEmail(String email);

}
