package com.manager.sport.ua.entity.mappings;

import com.manager.sport.ua.entity.Athlete;
import com.manager.sport.ua.entity.AthleteSimple;
import com.manager.sport.ua.entity.Coach;
import com.manager.sport.ua.entity.User;
import com.manager.sport.ua.entity.type.RoleType;

public class Mapping {
	
	public static User coachToUser(Coach coach){
		User user = new User();
		user.setEmail(coach.getEmail());
		user.setPassword(coach.getPassword());
		user.setRole(RoleType.COACH.getIntValue());
		return user;
	}
	
	public static AthleteSimple athleteToAthleteSimple(Athlete athlete){
		AthleteSimple athleteSimple = new AthleteSimple();
		athleteSimple.setEmail(athlete.getEmail());
		athleteSimple.setPassword(athlete.getPassword());
		//athleteSimple.setDateOfBirth(athlete.getDateOfBirth());
		athleteSimple.setWeigth(athlete.getWeight());
		return athleteSimple;
	}
	
	public static User athleteToUser(Athlete athlete){
		User user = new User();
		user.setEmail(athlete.getEmail());
		user.setPassword(athlete.getPassword());
		user.setRole(RoleType.ATHLETE.getIntValue());
		return user;
	}
	
	public static User athleteSimpleToUser(AthleteSimple athlete){
		User user = new User();
		user.setEmail(athlete.getEmail());
		user.setPassword(athlete.getPassword());
		user.setRole(RoleType.ATHLETE.getIntValue());
		return user;
	}

}
