package com.manager.sport.ua.db;

import org.springframework.data.repository.PagingAndSortingRepository;

import com.manager.sport.ua.entity.User;

public interface UserRepository extends PagingAndSortingRepository<User, String>{
	
	default boolean authenticated(String email, String password){
		if(exists(email)){
			return findByEmail(email).getPassword().equals(password);
		}
		return false;
	}
	
	User findByEmail(String email);

}
