package com.manager.sport.ua.entity;

import java.math.BigInteger;
import java.util.List;

import org.springframework.data.annotation.Id;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
public class Workout {
	
	@Id
	private BigInteger id;
	
	private String emailAthlete;
	
	@JsonProperty("Fecha")
	private String dateWorkout;
	
	@JsonProperty("Carga")
	private String dataExternalLoad;
	
	@JsonProperty("Comentarios")
	private String comments;
	
	private List<WorkoutEndurance> workoutsEndurance;
	
	private List<WorkoutStrength> workoutsStrength;
	
	private BigInteger idPlanification;
}
